<?php

$wyswietlacz =  function($wartosc){ echo "$wartosc <br/>"; };

$produkty = [ 'opony' => 100, 
              'olej' => 10,
              'świece zapłonowe' => 4 ]; 

$wspolczynnik = 0.20;

$przeliczenie = function(&$wartosc) use ($wspolczynnik) {
           $wartosc = $wartosc * (1+$wspolczynnik);
         };

array_walk($produkty, $przeliczenie);

array_walk($produkty, $wyswietlacz);

?>